gbc3(1)

NAME
gbc3 - GAMBAS Compiler

SYNOPSIS
gbc3 [options] [<project directory>]

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI, access MySQL or PostgreSQL databases, pilot KDE applications with DCOP, translate your program into many languages, and so on... gbc3 is the compiler that allows you to compile Gambas projects into architecture-independent bytecode.

OPTIONS

-a, --all
    compile all

-e, --translate-errors
    display translatable error messages

-g, --debug
    add debugging information

-h, --help
    display help and exit

-L, --license
    display license

-m, --public-module
    module symbols are public by default

-p, --public-control
    form controls are public

-r, --root <directory>
    gives the gambas installation directory

-s, --swap
    swap endianness

-t, --translate
    output translation files

-v, --verbose
    verbose output

-V, --version
    display version

-w, --warnings
    display warnings

-x, --exec
    define the 'Exec' preprocessor constant

AVAILABILITY
The latest version of Gambas can always be obtained from gambas.sourceforge.net, documentation about the language is at http://gambaswiki.org/wiki.

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© Benoît Minisini <g4mba5@gmail.com>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.